Update file
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}"
payload = {
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "file",
"encrypted": true,
"type": "file",
"name": "<string>",
"name_enc": {},
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org",
"record_type": "<string>",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Files
Update file
Omit parent_id to keep the parent, pass a folder UUID to move, or pass null to move to root.
PATCH
/
orgs
/
{org_id}
/
files
/
{file_id}
Update file
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}"
payload = {
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "file",
"encrypted": true,
"type": "file",
"name": "<string>",
"name_enc": {},
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org",
"record_type": "<string>",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Updated file.
Available options:
file Available options:
file, folder Available options:
org, restricted Last modified on June 30, 2026